#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KReport is a framework for the creation and generation of reports in multiple formats
Name:           kreport
Version: 3.0.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/kreports/src/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)

BuildRequires:  cmake(KPropertyWidgets)
BuildRequires:  cmake(Marble)


%description
KReport is a framework for the creation and generation of reports in multiple formats

%files 
%_qt5_plugindir/kreport3
%_kf5_datadir/kreport3/
%_kf5_datadir/kservicetypes5/kreport_elementplugin.desktop

#------------------------------------------------------------------------------

%define kreports_major 3
%define libkreports %mklibname kreport3_ %{kreports_major}

%package -n %libkreports
Summary:      KReport is a framework for the creation and generation of reports in multiple formats
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkreports
KReport is a framework for the creation and generation of reports in multiple formats.

%files -n %libkreports
%_kf5_libdir/libKReport3.so.%{kreports_major}{,.*}

#--------------------------------------------------------------------

%define kreports_devel %mklibname kreports -d

%package -n %kreports_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkreports = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kreports_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kreports_devel
%{_includedir}/*
%_kf5_libdir/*.so
%_kf5_libdir/pkgconfig/*.pc
%_kf5_libdir/cmake/KReport3
%_kf5_libdir/qt5/mkspecs/modules/qt_KReport3.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Mon Dec 19 2016 neoclust <neoclust> 3.0.0-1.mga6
+ Revision: 1076114
- imported package kreport

